<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XLocationBetween StructType
 * @subpackage Structs
 */
class XLocationBetween extends AbstractStructBase
{
    /**
     * The locationName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $locationName;
    /**
     * The weight
     * Meta information extracted from the WSDL
     * - default: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $weight;
    /**
     * The audioBandwidth
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $audioBandwidth;
    /**
     * The videoBandwidth
     * Meta information extracted from the WSDL
     * - default: 384
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $videoBandwidth;
    /**
     * The immersiveBandwidth
     * Meta information extracted from the WSDL
     * - default: 384
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $immersiveBandwidth;
    /**
     * Constructor method for XLocationBetween
     * @uses XLocationBetween::setLocationName()
     * @uses XLocationBetween::setWeight()
     * @uses XLocationBetween::setAudioBandwidth()
     * @uses XLocationBetween::setVideoBandwidth()
     * @uses XLocationBetween::setImmersiveBandwidth()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $locationName
     * @param string $weight
     * @param string $audioBandwidth
     * @param string $videoBandwidth
     * @param string $immersiveBandwidth
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $locationName = null, $weight = '50', $audioBandwidth = null, $videoBandwidth = '384', $immersiveBandwidth = '384')
    {
        $this
            ->setLocationName($locationName)
            ->setWeight($weight)
            ->setAudioBandwidth($audioBandwidth)
            ->setVideoBandwidth($videoBandwidth)
            ->setImmersiveBandwidth($immersiveBandwidth);
    }
    /**
     * Get locationName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public function getLocationName()
    {
        return $this->locationName;
    }
    /**
     * Set locationName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $locationName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLocationBetween
     */
    public function setLocationName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $locationName = null)
    {
        $this->locationName = $locationName;
        return $this;
    }
    /**
     * Get weight value
     * @return string
     */
    public function getWeight()
    {
        return $this->weight;
    }
    /**
     * Set weight value
     * @param string $weight
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLocationBetween
     */
    public function setWeight($weight = '50')
    {
        $this->weight = $weight;
        return $this;
    }
    /**
     * Get audioBandwidth value
     * @return string
     */
    public function getAudioBandwidth()
    {
        return $this->audioBandwidth;
    }
    /**
     * Set audioBandwidth value
     * @param string $audioBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLocationBetween
     */
    public function setAudioBandwidth($audioBandwidth = null)
    {
        $this->audioBandwidth = $audioBandwidth;
        return $this;
    }
    /**
     * Get videoBandwidth value
     * @return string
     */
    public function getVideoBandwidth()
    {
        return $this->videoBandwidth;
    }
    /**
     * Set videoBandwidth value
     * @param string $videoBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLocationBetween
     */
    public function setVideoBandwidth($videoBandwidth = '384')
    {
        $this->videoBandwidth = $videoBandwidth;
        return $this;
    }
    /**
     * Get immersiveBandwidth value
     * @return string
     */
    public function getImmersiveBandwidth()
    {
        return $this->immersiveBandwidth;
    }
    /**
     * Set immersiveBandwidth value
     * @param string $immersiveBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLocationBetween
     */
    public function setImmersiveBandwidth($immersiveBandwidth = '384')
    {
        $this->immersiveBandwidth = $immersiveBandwidth;
        return $this;
    }
}
